Module org.firebirdsql.jaybird
Package org.firebirdsql.jaybird.util

# Class UncheckedSQLException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.firebirdsql.jaybird.util.UncheckedSQLException

All Implemented Interfaces:
  `Serializable`

public final class UncheckedSQLException extends RuntimeException
Wraps a `SQLException` with an unchecked exception.

Use to bridge Java's functional APIs using functional interfaces which don't throw a checked exception.

Since:
  6
Author:
  Mark Rotteveel
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`UncheckedSQLException(SQLException sqlException)`

## Method Summary

Modifier and Type
Method
Description
`SQLException`
`getCause()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### UncheckedSQLException

public UncheckedSQLException(SQLException sqlException)

## Method Details

### getCause

public SQLException getCause()

Overrides:
  `getCause` in class `Throwable`